/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef PMU_DEFINES_H
#define PMU_DEFINES_H

/* XML Version 2.1.4 */
#define PMU_XML_VERSION (20104)

#define PMU_CNF_CYC_SAMPLE_DEL (0x0) /*decimal 0*/

#define PMU_CNF_CYC_SENSE (0x0) /*decimal 0*/

#define PMU_CNF_CYC_WAKE (0x3F) /*decimal 63*/

#define PMU_CNF_PMU_SETTINGS (0x3) /*decimal 3*/

#define PMU_CNF_RST_TFB (0x3) /*decimal 3*/

#define PMU_CNF_WAKE_FILTER (0x8) /*decimal 8*/

#define PMU_CYC_SENSE_ACT_TIME (0xA) /*decimal 10*/

#define PMU_CYC_SENSE_EFF_SLP_TIME (0x2) /*decimal 2*/

#define PMU_CYC_SENSE_SLP_TIME (0x2) /*decimal 2*/

#define PMU_CYC_WAKE_EFF_TIME (0x800) /*decimal 2048*/

#define PMU_CYC_WAKE_TIME (0x800) /*decimal 2048*/

#define PMU_LIN_WAKE_EN (0x80) /*decimal 128*/

#define PMU_MON_WAKE (0x1) /*decimal 1*/

#define PMU_MON_WAKE_FALL (0x1) /*decimal 1*/

#define PMU_MON_WAKE_RISE (0x1) /*decimal 1*/

#define PMU_PMU_SUPPLY_STS (0x0) /*decimal 0*/

#define PMU_PORT0_WAKE (0x0) /*decimal 0*/

#define PMU_PORT1_WAKE (0x0) /*decimal 0*/

#define PMU_SENSE_EFF_SLP_TIME (0xA) /*decimal 10*/

#define PMU_SLEEP_MODE (0x1) /*decimal 1*/

#define PMU_STOP_MODE (0x1) /*decimal 1*/

#define PMU_VDDEXT_CTRL (0x0) /*decimal 0*/

#define PMU_WAKE_CONF_GPIO0_CYC (0x0) /*decimal 0*/

#define PMU_WAKE_CONF_GPIO0_FALL (0x0) /*decimal 0*/

#define PMU_WAKE_CONF_GPIO0_RISE (0x0) /*decimal 0*/

#define PMU_WAKE_CONF_GPIO1_CYC (0x0) /*decimal 0*/

#define PMU_WAKE_CONF_GPIO1_FALL (0x0) /*decimal 0*/

#define PMU_WAKE_CONF_GPIO1_RISE (0x0) /*decimal 0*/

#endif /* PMU_DEFINES_H */
