/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef TIMER2X_DEFINES_H
#define TIMER2X_DEFINES_H

/* XML Version 2.1.4 */
#define TIMER2X_XML_VERSION (20104)

#define TIMER21_CLK (0x2) /*decimal 2*/

#define TIMER21_Configuration_En (0x0) /*decimal 0*/

#define TIMER21_EXF21_PINSEL (0x0) /*decimal 0*/

#define TIMER21_MAX_PERIOD (32767.5)

#define TIMER21_RC2 (0xFFFF) /*decimal 65535*/

#define TIMER21_RC2H (0xFF) /*decimal 255*/

#define TIMER21_RC2L (0xFF) /*decimal 255*/

#define TIMER21_T2 (0xFFFF) /*decimal 65535*/

#define TIMER21_T21IN_EN (0x0) /*decimal 0*/

#define TIMER21_T2CON (0x0) /*decimal 0*/

#define TIMER21_T2CON1 (0x0) /*decimal 0*/

#define TIMER21_T2H (0xFF) /*decimal 255*/

#define TIMER21_T2L (0xFF) /*decimal 255*/

#define TIMER21_T2MOD (0x0) /*decimal 0*/

#define TIMER21_TEMP_TIMER2_SEL (0x0) /*decimal 0*/

#define TIMER21_TEMP_TIMER2_TICK (0x1) /*decimal 1*/

#define TIMER21_TEMP_TIMER2_TIME (1.00)

#define TIMER21_TEMP_TIMER2_TIME_SEL (0x0) /*decimal 0*/

#define TIMER21_TEMP_TIME_TICK (0x1) /*decimal 1*/

#define TIMER21_TEMP_TIME_TIME (1.00)

#define TIMER2_CLK (0.19)

#define TIMER2_Configuration_En (0x1) /*decimal 1*/

#define TIMER2_EXF2_PINSEL (0x0) /*decimal 0*/

#define TIMER2_MAX_PERIOD (0x55550) /*decimal 349520*/

#define TIMER2_RC2 (0xEC78) /*decimal 60536*/

#define TIMER2_RC2H (0xEC) /*decimal 236*/

#define TIMER2_RC2L (0x78) /*decimal 120*/

#define TIMER2_T2 (0xEC78) /*decimal 60536*/

#define TIMER2_T2CON (0x0) /*decimal 0*/

#define TIMER2_T2CON1 (0x2) /*decimal 2*/

#define TIMER2_T2H (0xEC) /*decimal 236*/

#define TIMER2_T2L (0x78) /*decimal 120*/

#define TIMER2_T2MOD (0x1F) /*decimal 31*/

#define TIMER2_TEMP_TIMER2_SEL (0x1) /*decimal 1*/

#define TIMER2_TEMP_TIMER2_TICK (0x1) /*decimal 1*/

#define TIMER2_TEMP_TIMER2_TIME (26666.00)

#define TIMER2_TEMP_TIMER2_TIME_SEL (0x1) /*decimal 1*/

#define TIMER2_TEMP_TIME_TICK (0x1) /*decimal 1*/

#define TIMER2_TEMP_TIME_TIME (26666.00)

#endif /* TIMER2X_DEFINES_H */
