/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef ADC2_DEFINES_H
#define ADC2_DEFINES_H

/* XML Version 2.1.4 */
#define ADC2_XML_VERSION (20104)

#define ADC2_CH0_LOTH_VOLT (5.078)

#define ADC2_CH0_UPTH_VOLT (16.88)

#define ADC2_CH1_LOTH_VOLT (9.00)

#define ADC2_CH1_UPTH_VOLT (20.00)

#define ADC2_CH2_LOTH_VOLT (5.78)

#define ADC2_CH2_UPTH_VOLT (23.4)

#define ADC2_CH3_LOTH_VOLT (5.20)

#define ADC2_CH3_UPTH_VOLT (35.00)

#define ADC2_CH4_LOTH_VOLT (5.078)

#define ADC2_CH4_UPTH_VOLT (16.88)

#define ADC2_CH5_LOTH_VOLT (4.50)

#define ADC2_CH5_UPTH_VOLT (5.50)

#define ADC2_CH6_LOTH_VOLT (4.50)

#define ADC2_CH6_UPTH_VOLT (5.50)

#define ADC2_CH7_LOTH_VOLT (1.01)

#define ADC2_CH7_UPTH_VOLT (1.30)

#define ADC2_CH8_LOTH_VOLT (1.35)

#define ADC2_CH8_UPTH_VOLT (1.60)

#define ADC2_CH9_LOTH_DEG (150.00)

#define ADC2_CH9_UPTH_DEG (200.00)

#define ADC2_CLK (0x18) /*decimal 24*/

#define ADC2_CNT0_3_LOWER (0x0) /*decimal 0*/

#define ADC2_CNT0_3_UPPER (0x0) /*decimal 0*/

#define ADC2_CNT4_5_LOWER (0x0) /*decimal 0*/

#define ADC2_CNT4_5_UPPER (0x0) /*decimal 0*/

#define ADC2_CONV_TIME (1.38)

#define ADC2_CTRL1 (0x2) /*decimal 2*/

#define ADC2_CTRL2 (0x701) /*decimal 1793*/

#define ADC2_CTRL4 (0x0) /*decimal 0*/

#define ADC2_CTRL_STS (0x0) /*decimal 0*/

#define ADC2_FILTCOEFF0_5 (0x0) /*decimal 0*/

#define ADC2_FILT_LO_CTRL (0x0) /*decimal 0*/

#define ADC2_FILT_UP_CTRL (0x0) /*decimal 0*/

#define ADC2_MMODE0_5 (0x0) /*decimal 0*/

#define ADC2_TH0_3_LOWER (0x192F683A) /*decimal 422537274*/

#define ADC2_TH0_3_UPPER (0xA9C0E7C3) /*decimal 2847991747*/

#define ADC2_TH4_5_LOWER (0x9B29) /*decimal 39721*/

#define ADC2_TH4_5_UPPER (0xBD8A) /*decimal 48522*/

#define ADC2_TH6_9_LOWER (0xC8D59FCF) /*decimal 3369443279*/

#define ADC2_TH6_9_UPPER (0xD4FCCDFD) /*decimal 3573337597*/

#endif /* ADC2_DEFINES_H */
