/*
 ***********************************************************************************************************************
 *
 * Copyright (c) 2015, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** DM           Daniel Mysliwitz                                              **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2015-09-22, DM:   Initial version                                  **
*******************************************************************************/

#ifndef NVM_FUNC_H
#define NVM_FUNC_H

/*******************************************************************************
**                      Includes                                              **
*******************************************************************************/

/*******************************************************************************
**                      Global Type Definitions                               **
*******************************************************************************/
/* return value typedef for the local Program Page function */
typedef union {
	uint16  reg;	
	struct {
		uint16 GlobFail   :  1;
		uint16            :  3;
		uint16 VerifyFail :  1;
		uint16 EmergExit  :  1;
		uint16 SparePgFail:  1;
		uint16 ExecFail   :  1;
		uint16 VS2lowFail :  1;
		uint16 RetryFail  :  1;
		uint16 DFlashDis  :  1;
	} bit;                           
} TlocProgramPage;

/* return value typedef for the local Program Page function */
typedef union {
	uint16  reg;	
	struct {
		uint16 GlobFail   :  1;
		uint16            :  6;
		uint16 ExecFail   :  1;
		uint16 VS2lowFail :  1;
		uint16 RetryFail  :  1;
	} bit;                           
} TlocEraseSector;

/* return value typedef for the local Erase Sector function */
typedef union {
	uint8   reg;	
	struct {
		uint8 EraseFail:  1;
		uint8          :  6;
		uint8 ExecFail :  1;
	} bit;                           
} TUser_Erase_Sector;

/*******************************************************************************
**                      Global Function Declarations                          **
*******************************************************************************/
TlocEraseSector locEraseSector(uint32 sector_address);
TlocProgramPage locProgramPage(uint32 addr, uint8* buf);
TUser_MAPRAM_Init locMapRAM_Init(void);


#endif
