/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef TIMER3_DEFINES_H
#define TIMER3_DEFINES_H

/* XML Version 2.1.4 */
#define TIMER3_XML_VERSION (20104)

#define TIMER3_CLK (0x18) /*decimal 24*/

#define TIMER3_CMP (0xF1) /*decimal 241*/

#define TIMER3_CTRL (0x201) /*decimal 513*/

#define TIMER3_MAX_PERIOD (2730.63)

#define TIMER3_MODE0_VALUE (0x1FFF) /*decimal 8191*/

#define TIMER3_MODE0_VALUE_SEL (0x0) /*decimal 0*/

#define TIMER3_MODE0_VALUE_TICK (0x1) /*decimal 1*/

#define TIMER3_MODE0_VALUE_TIME (1.00)

#define TIMER3_MODE1_CMP (0xF1) /*decimal 241*/

#define TIMER3_MODE1_CMP_SEL (0x1) /*decimal 1*/

#define TIMER3_MODE1_CMP_TICK (0x0) /*decimal 0*/

#define TIMER3_MODE1_CMP_TIME (10.00000)

#define TIMER3_MODE1_VALUE (0x1) /*decimal 1*/

#define TIMER3_MODE1_VALUE_SEL (0x0) /*decimal 0*/

#define TIMER3_MODE1_VALUE_TICK (0x1) /*decimal 1*/

#define TIMER3_MODE1_VALUE_TIME (1.00)

#define TIMER3_MODE2_CMP (0xE7) /*decimal 231*/

#define TIMER3_MODE2_CMP_SEL (0x0) /*decimal 0*/

#define TIMER3_MODE2_CMP_TICK (0x0) /*decimal 0*/

#define TIMER3_MODE2_CMP_TIME (0.00000)

#define TIMER3_MODE2_RL_VALUE (0xE7) /*decimal 231*/

#define TIMER3_MODE2_RL_VALUE_SEL (0x0) /*decimal 0*/

#define TIMER3_MODE2_RL_VALUE_TICK (0x1) /*decimal 1*/

#define TIMER3_MODE2_RL_VALUE_TIME (1.00)

#define TIMER3_MODE2_VALUE (0xE7) /*decimal 231*/

#define TIMER3_MODE2_VALUE_SEL (0x0) /*decimal 0*/

#define TIMER3_MODE2_VALUE_TICK (0x1) /*decimal 1*/

#define TIMER3_MODE2_VALUE_TIME (1.00)

#define TIMER3_MODE3_CMP (0x1) /*decimal 1*/

#define TIMER3_MODE_CONF (0x41) /*decimal 65*/

#define TIMER3_T3 (0x1) /*decimal 1*/

#define TIMER3_T3_TRIGG_CTRL (0x10) /*decimal 16*/

#endif /* TIMER3_DEFINES_H */
