/*
 ***********************************************************************************************************************
 *
 * Copyright (c) 2015, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
/**
 * \file     eval_board.h
 *
 * \brief    LED assignment
 *
 * \version  V0.1.0
 * \date     08. Oct 2020
 *
 */

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V0.1.0: 2020-10-08, JO:   EP-507: Initial version of revision history      **
*******************************************************************************/

#ifndef EVAL_BOARD_H
#define EVAL_BOARD_H

/*******************************************************************************
**                           Global Type Definitions                          **
*******************************************************************************/
/* GPIO LED assignment for TLE986x evaluation board */
/**\brief TLE9869 EVALKIT - LED1 connected to GPIO P0.1 */
#define LED1 (0x01)
/**\brief TLE9869 EVALKIT - LED2 connected to GPIO P0.2 */
#define LED2 (0x02)
/**\brief TLE9869 EVALKIT - LED3 connected to GPIO P0.3 */
#define LED3 (0x03)
/**\brief TLE9869 EVALKIT - LED4 connected to GPIO P1.2 */
#define LED4 (0x12)
/**\brief TLE9869 EVALKIT - LED5 connected to GPIO P1.0 */
#define LED5 (0x10)
/**\brief TLE9869 EVALKIT - LED6 connected to GPIO P1.3 */
#define LED6 (0x13)
/**\brief TLE9869 EVALKIT - LED7 connected to GPIO P1.4 */
#define LED7 (0x14)
/**\brief TLE9869 EVALKIT - LED8 connected to GPIO P0.4 */
#define LED8 (0x04)

#endif
